跳到主要内容

重命名 Collection (V2)

本接口重命名指定 Collection。

POST/v2/vectordb/collections/rename
连接端点

该 API 的 Base URL 格式如下:

https://{cluster-id}.{region}.vectordb.zilliz.com.cn:19530

📘说明
  • 如果您使用的是服务集群,请使用集群端点。
    • Free 与 Serverless 版

      https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.com

    • Dedicated 版

      https://{cluster-id}.{region}.vectordb.zilliz.com.cn:19530

  • 你需要填入您的 Zilliz Cloud 集群的 ${CLUSTER_ENDPOINT}
  • 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
shell
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zilliz.com.cn:19530"
参数
Authorizationstringheader必填项

认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password。如果您使用的是项目端点,则仅具备足够权限的有效 API 密钥适用。

示例值:Bearer {{TOKEN}}
请求体
dbNamestring

The name of the database which the collection belongs to. Setting this to a non-existing database results in an error. If not specified, the default database applies.

collectionNamestring必填项

The name of the target collection. Setting this to a non-existing collection results in an error.

newDbNamestring

操作完成后 Collection 所属的数据库名称。默认为 default。若指定的值不是 Collection 原先所属的数据库,则该操作将移动 Collection 到指定的数据库。设置为不存在的数据库将导致错误。

newCollectionNamestring必填项

操作完成后 Collection 的名称。设置为 Collection 的原有名称将导致错误。

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/rename" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "test_collection",
"newCollectionName": "quick_setup"
}'
响应

None

codeinteger

响应码。

dataobject

Returns an error message.

codeinteger

响应码。

messagestring

错误描述。

Successjson
{
"code": 0,
"data": {}
}
Ctrl I